Subject: [COSE] Pull Request #59 - Assign integer tags to CCM

From: "Jim Schaad" <[email-masked]>
Date: Wed, 22 Jul 2015 15:11:54 +0200

I have done the edits to assign integer tags to the CCM modes that we
discussed at the F2F meeting.  Looking at the editors copy on github and you
will be able to see what I did.

The one example using CCM has been updated.

In doing the update, I noticed that I missed a parameter that needed to be
specified for CCM which deals with the maximum possible message length.   I
have done an arbitrary choice of basically the maximum and minimum possible
lengths as viable options.  People should look and see if any of these
should be removed.  (As noted in the document the message length and none
length are directly related.  Making one larger decreases the size of the
other.)

Jim